Skip to main content
GET
/
app.rocksky.feed.getFeed
Get the feed by uri
curl --request GET \
  --url https://api.rocksky.app/xrpc/app.rocksky.feed.getFeed \
  --header 'Authorization: Bearer <token>'
{
  "feed": [
    {
      "scrobble": {
        "id": "<string>",
        "user": "<string>",
        "userDisplayName": "<string>",
        "userAvatar": "<string>",
        "title": "<string>",
        "artist": "<string>",
        "artistUri": "<string>",
        "album": "<string>",
        "albumUri": "<string>",
        "cover": "<string>",
        "date": "2023-11-07T05:31:56Z",
        "uri": "<string>",
        "sha256": "<string>",
        "liked": true,
        "likesCount": 123
      }
    }
  ],
  "cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

feed
string<at-uri>
required

The feed URI.

limit
integer

The maximum number of scrobbles to return

Required range: x >= 1
cursor
string

The cursor for pagination

Response

OK

feed
object[]
cursor
string

The pagination cursor for the next set of results.